program fdmodes; { Format Date Modes, Copyright (c) 1993 by ZzSoft. }
{$I comdir}
uses fdate,ss;
const
  a:array[1..13] of word = (1,2,10,11,12,100,101,102,1000,1001,1002,93,1993);
  b:array[1..10] of word = (1000,1002,1020,1022,1200,1202,1220,1222,3285,5123);
var
  i:word;
begin
  writeln;
  writeln('Format Date Modes, Copyright (c) 1993 by ZzSoft.');
  writeln('');
  writeln;

{ ----------- $DAY() modes ----------- }

  writeln('$DAY() modes:');
  writeln;
  writeln('1','':3,'2','':3,'3','':5,'4','':5,'5','':6,'6','':16,'7','':16,'8');
  writeln(string_of('',78));
  for i:=1 to 13 do
    writeln(FormatDate('$DAY(1,,2,L)  $DAY(2)  $DAY(3,,4,L)  '+
                       '$DAY(4,,4,L)  $DAY(5,,5,L)  $DAY(6,,15,L)  '+
                       '$DAY(7,,15,L)  $DAY(8,,17,L)',1,1,(i div 4)*10+(i mod 4)));
  writeln;
  writeln;

{ ---------- $MONTH() modes ---------- }

  writeln('$MONTH modes:');
  writeln;
  writeln('1','':3,'2','':3,'3','':9,'4','':9,'5','':9,'6','':4,'7','':10,'8');
  writeln(string_of('',57));
  for i:=1 to 12 do
    writeln(FormatDate('$MONTH(1,,2,L)  $MONTH(2)  $MONTH(3,F,8,L)  '+
                       '$MONTH(4,F,8,L)  $MONTH(5,F,8,L)  $MONTH(6,F)  '+
                       '$MONTH(7,F,9,L)  $MONTH(8,F)',1,i,1));
  writeln;
  writeln;

{ ----------- $YEAR() modes ---------- }

  writeln('$YEAR modes:');
  writeln;
  writeln('1','':3,'2','':3,'3','':5,'4','':5,'5','':5,'6','':7,'7','':6,'8');
  writeln(string_of('',48));
  for i:=1 to 13 do
    writeln(FormatDate('$YEAR(1,,2,L)  $YEAR(2)  $YEAR(3,,4,L)  '+
                       '$YEAR(4)  $YEAR(5,,4,L)  $YEAR(6,,6,L)  '+
                       '$YEAR(7,,5,L)  $YEAR(8,,7,L)',a[i],1,1));
  writeln;
  writeln('':6,'9','':36,'10');
  writeln(string_of('',79));
  for i:=1 to 10 do
    writeln(FormatDate('$YEAR(3)  $YEAR(9,,35,L)  $YEAR(10)',b[i],1,1));
  writeln;
  writeln;


{ --------- $CENTURY() modes --------- }

  writeln('$CENTURY() modes:');
  writeln;
  writeln('1','':3,'2','':5,'3','':5,'4','':6,'5','':16,'6','':16,'7');
  writeln(string_of('',73));
  for i:=17 to 21 do
    writeln(FormatDate('$CENTURY(1,,2,L)  $CENTURY(2,,4,L)  $CENTURY(3,,4,L)  '+
                       '$CENTURY(4,,5,L)  $CENTURY(5,,15,L)  $CENTURY(6,,15,L)  '+
                       '$CENTURY(7,,16,L)',i*100,1,1));
  writeln;
  writeln;

{ --------- $WEEKDAY() modes --------- }

  writeln('$WEEKDAY modes:');
  writeln;
  writeln('1','':12,'2','':6,'3','':4,'4','':3,'5','':2,'6','':10,'7','':4,'8','':3,'9');
  writeln(string_of('',53));
  for i:=1 to 7 do
    writeln(FormatDate('$WEEKDAY(1,F,11,L)  $WEEKDAY(2,F,5,L)  $WEEKDAY(3,F)  '+
                       '$WEEKDAY(4,F)  $WEEKDAY(5,F)  $WEEKDAY(6,F,9,L)  '+
                       '$WEEKDAY(7,F)  $WEEKDAY(8,F)  $WEEKDAY(9,F)',1,1,i));
  writeln;
  writeln;

{ --------- $SEASON() modes ---------- }

  writeln('$SEASON modes:');
  writeln;
  writeln('1','':6,'2','':7,'3');
  writeln(string_of('',21));
  for i:=1 to 4 do
    writeln(FormatDate('$SEASON(1,F,5,L)  $SEASON(2,F,6,L)  $SEASON(3,F)',1,i*3-1,1));
  writeln;
  writeln;
end.
